from typing import List
from django.shortcuts import render
from django.views.generic import ListView, CreateView, DeleteView, UpdateView, DetailView

from webapp.models import Course


class CoursesListView(ListView):
    model = Course
    context_object_name = 'courses'
    template_name = 'courses/courses_list.html'
    paginate_by = 9


class CourseDetailView(DetailView):
    model = Course 
    template_name = 'courses/detail.html'
    pk_url_kwarg = 'course_pk'